TechDraw RichTextAnnotation

    From FreeCAD Documentation

    TechDraw RichTextAnnotation.svg TechDraw RichTextAnnotation

    Menu location
    TechDraw → Annotations → Insert Rich Text Annotations
    Workbenches
    TechDraw
    Default shortcut
    None
    Introduced in version
    0.19
    See also
    TechDraw Annotation

    Description

    The TechDraw RichTextAnnotation tool adds a formatted annotation block to a Leaderline or a View.

    TechDraw RichTextBlock sample.png

    Stand alone RichTextAnnotation

    Usage

    1. If there are multiple drawing pages in the document: optionally activate the desired page by selecting it in the Tree view.
    2. To attach the RichTextAnnotation to a Leaderline, select the line in the Tree view or on the page.
    3. There are several ways to invoke the tool:
      • Press the TechDraw RichTextAnnotation.svg Insert Rich Text Annotation button.
      • Select the TechDraw → Annotations → TechDraw RichTextAnnotation.svg Insert Rich Text Annotation option from the menu.
    4. If there are multiple drawing pages in the document and you have not yet activated a page, the Page Chooser dialog box opens: introduced in version 0.20
      1. Select the desired page.
      2. Press the OK button.
    5. A task panel opens.
    6. The task panel allows quick entry of text.
    7. The Start Rich Text Editor button opens a full featured editor:
      1. When done, press the Document-save.svg button to save your changes and close the editor.
    8. Press the OK button to close the task panel.

    Notes

    • After creation a RichTextAnnotation can be edited by double clicking it on the page.

    Properties

    • DataX,Y: The location of the block. Relative to the end of the line if attached to a Leaderline, otherwise this is the position on the page.
    • DataShowFrame: Draws an outline around the block.
    • DataMaxWidth: Limits the horizontal size of the block. A value of -1 is for unlimited width.
    • DataAnnoText: The HTML text of the block.

    Scripting

    See also: Autogenerated API documentation and FreeCAD Scripting Basics.

    The RichTextAnnotation tool can be used in macros and from the Python console.

    myPage = FreeCAD.ActiveDocument().Page
    myBase = FreeCAD.ActiveDocument().View
    blockObj = FreeCAD.ActiveDocument.addObject('TechDraw::DrawRichAnno','DrawRichAnno')
    FreeCAD.activeDocument().myPage.addView(blockObj)
    blockObj.X = 5
    blockObj.Y = 5
    blockObj.AnnoText = myHTMLText